# define your base configuration (almost) equal for all instances here, will be imported first
import re

(ACCELERATOR, STATION)=INSTANCE_CONFIG

VARIANT=STATION.split('.')[-1]

SERVERNAME="tec_"+STATION+"_server"
DEVICE=f'{VARIANT}.TEC_CONTROLLER'
EXECUTABLE_IN_PACKAGE="/export/doocs/server/tec_server/tec_server"
FILES_TO_SYMLINK_BETWEEN_INSTANCES=""

USE_DOOCS_WATCHDOG=True
SYSTEM_UID="doocsadm"
SYSTEM_GID="doocsadm"

OPER_GID=123
EXPERT_GID=234

SVR_LOCATION=HOSTNAME.upper()+"."+STATION+"._SVR"
RPC_NUMBER=123456789
MAIN_LOCATION=f"{STATION}.TEMPERATURE"

TEC_MODULE_PATHS=[
    "/TecModule0"
]

TEC_DEVICE_ADDRESSES = {
    'XLAB1.BAM' : 'pcieunis3',
    'XLAB1.EOD' : 'xfeltmcbeodxlab1.desy.de'
}
TEC_MAP_MODULE_NAME="APP.0"
TEC_REGISTER_SUFFIX=""

WATCHDOG_FACILITY=re.sub(r'^(.*)\.(.*)$',r'\1.SYSTEM',ACCELERATOR)
WATCHDOG_ADDRESS=WATCHDOG_FACILITY+"/"+HOSTNAME.upper()+".WATCH/SVR.EXAMPLE_"+STATION

######
# Temporary dynamic config
TEC_VARIANT_BAM_FW_REVISION_FMC25="default_1.3.1-0-g0743a513"
TEC_VARIANT_BAM_FW_REVISION_TMCB='default_1.0.0-7-g00f9a41b_ch0'
TEC_VARIANT_EOD_FW_REVISION_TMCB='default_1.0.0-7-g00f9a41b_ch0'

if ACCELERATOR.startswith("FLASH") :
  T_ZERO=700
else:
  T_ZERO=800

